Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modhelxs.abstractsemantics
Class AtomicBlock

    java.lang.Object
      modhelxs.abstractsemantics.NamedEntity
          modhelxs.abstractsemantics.ObservableEntity
              modhelxs.abstractsemantics.Block
                  modhelxs.abstractsemantics.AtomicBlock

All Implemented Interfaces:
  AtomicBlock, Block, NamedEntity, ObservableEntity

Direct Known Subclasses:
  FSMState, SDFSampleDelay

    public abstract class AtomicBlock

extends Block
implements AtomicBlock

A block without an explicit ModHel'X model (opaque behavior).

Constructor Summary
`AtomicBlock(java.lang.String name)`
`AtomicBlock(java.lang.String name, java.lang.Object... properties)`

Method Summary
`void` | `emitObservationRequests()` Emit observation request for future snapshots by creating ticks on clocks.
`void` | `endOfSnapshot()` End of the observation round, the observable can update its internal state.
`void` | `endOfUpdate()` End of a partial update (produce partial outputs to the outer model).
`void` | `prep()` Initialize the entity.
`void` | `reset()` Reset the computation of the outputs and next state for the current snapshot.
`void` | `setup()` Prepare for the simulation.
`void` | `startOfSnapshot()` Start a new snapshot (observation round).
`void` | `startOfUpdate()` Start a partial update (get partial inputs from the outer model).
`boolean` | `validate()` Validate the computation of the observation.
`void` | `wrapup()` Cleanup at the end of the simulation.

Methods inherited from class modhelxs.abstractsemantics.Block
`connect, connectFromInterfaceBlock, connectFromModel, connectFromRegularBlock, getEngine, getInputPins, getMoC, getOutputPins, getParent, getSolver, getTimeOfRequest, hasObservationRequest, sanityCheck, setParent`

Methods inherited from class modhelxs.abstractsemantics.ObservableEntity
`addPin, getInterface, getPin, update`

Methods inherited from class modhelxs.abstractsemantics.NamedEntity
`getName, getProperties, getProperty, hasProperty, removeProperty, setName, setProperties, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface modhelxs.ecore.Block
`getParent`

Methods inherited from interface modhelxs.ecore.ObservableEntity
`getInterface`

Methods inherited from interface modhelxs.ecore.NamedEntity
`getName, getProperties, setName`

Constructor Detail

### AtomicBlock

    public AtomicBlock(java.lang.String name)

### AtomicBlock

    public AtomicBlock(java.lang.String name,
                       java.lang.Object... properties)

Method Detail

### prep

    public void prep()

  Description copied from class: `ObservableEntity`
  Initialize the entity. Called after loading the model, before the simulation starts.

  Specified by:
    `prep` in class `ObservableEntity`

### setup

    public void setup()

  Description copied from class: `ObservableEntity`
  Prepare for the simulation. Called after prep, before the first step of the simulation.

  Specified by:
    `setup` in class `ObservableEntity`

### startOfSnapshot

    public void startOfSnapshot()

  Description copied from class: `ObservableEntity`
  Start a new snapshot (observation round).

  Specified by:
    `startOfSnapshot` in class `ObservableEntity`

### reset

    public void reset()

  Description copied from class: `ObservableEntity`
  Reset the computation of the outputs and next state for the current snapshot.

  Specified by:
    `reset` in class `ObservableEntity`

### startOfUpdate

    public void startOfUpdate()

  Description copied from class: `ObservableEntity`
  Start a partial update (get partial inputs from the outer model).

  Specified by:
    `startOfUpdate` in class `ObservableEntity`

### endOfUpdate

    public void endOfUpdate()

  Description copied from class: `ObservableEntity`
  End of a partial update (produce partial outputs to the outer model).

  Specified by:
    `endOfUpdate` in class `ObservableEntity`

### validate

    public boolean validate()

  Description copied from class: `ObservableEntity`
  Validate the computation of the observation. Answer true if the observable agrees with the observed values.

  Specified by:
    `validate` in class `ObservableEntity`

### endOfSnapshot

    public void endOfSnapshot()

  Description copied from class: `ObservableEntity`
  End of the observation round, the observable can update its internal state.

  Specified by:
    `endOfSnapshot` in class `ObservableEntity`

### emitObservationRequests

    public void emitObservationRequests()

  Description copied from class: `ObservableEntity`
  Emit observation request for future snapshots by creating ticks on clocks.

  Specified by:
    `emitObservationRequests` in class `ObservableEntity`

### wrapup

    public void wrapup()

  Description copied from class: `ObservableEntity`
  Cleanup at the end of the simulation.

  Specified by:
    `wrapup` in class `ObservableEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD